{"bugs":{"url":"https://github.com/SorinGFS/idn-hostname/issues"},"dist":{"shasum":"a4f9d80be19e8b1d853e0d3b4e67d1c37fb7642c","tarball":"https://registry.npmjs.org/idn-hostname/-/idn-hostname-17.0.4.tgz","fileCount":7,"integrity":"sha512-SEh/oM/qFNK93RS+dneXVKWhGDNo+rLbbH6EEJtxNgArurY8NWB3wq7IYe2mwqcuIrhAyV+XOlX2tNreZtN4DQ==","signatures":[{"sig":"MEUCIQDDDPEtV0F9ymnms/l55TP+FQ9tWaY3ZamwZS2PqdK3UAIgf+sN2pofXsLWpoYUaVLBA1YYweynndBU6oM8GQVKYqg=","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"},{"sig":"MEUCIGGQ9tNqK3JN+cOswdduH9stuKNlYUjVu5wOiVl8QG7MAiEA+h8BnpvGsIep8uDhwQMTgQHx5RCPyUeFQNIBagC8w6A=","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"}],"unpackedSize":221393},"main":"index.js","name":"idn-hostname","type":"commonjs","types":"./index.d.ts","author":{"name":"SorinGFS"},"engines":{"node":">=24.13.1 <25 || >=26.0.0"},"gitHead":"69d72866fed428cb9806c316e05a2b95ebd8e73f","license":"MIT","scripts":{"test":"node ./#/public/tests","benchmark":"node ./#/public/benchmarks"},"_npmUser":{"name":"soringfs","email":"sorin.gfs@protonmail.com"},"homepage":"https://github.com/SorinGFS/idn-hostname#readme","keywords":["idn-hostname","idna","validation","unicode","mapping"],"repository":{"url":"git+https://github.com/SorinGFS/idn-hostname.git","type":"git"},"_npmVersion":"12.0.2","description":"An internationalized hostname validator as defined by RFC5890, RFC5891, RFC5892, RFC5893, RFC3492 and UTS#46","directories":{},"maintainers":[{"name":"soringfs","email":"sorin.gfs@protonmail.com"}],"_nodeVersion":"24.20.0","dependencies":{"punycode":"^2.3.1"},"engineStrict":true,"_hasShrinkwrap":false,"devDependencies":{"@types/punycode":"^2.1.4"},"_npmOperationalInternal":{"tmp":"tmp/idn-hostname_17.0.4_1789409062464_0.16041599123527317","host":"s3://npm-registry-packages-npm-production"},"_id":"idn-hostname@17.0.4","version":"17.0.4"}